## Script (Python) "getAgendaVars"
##parameters=
##title=get variables for the Agenda
##
datetime = DateTime()
timenow = datetime.Time()
vars = {}
if context.meta_type == 'Media Manager Live Event':
    vars['isSubEvent'] = 0

    # get title
    vars['title'] = 'Sub Event Title'

    # get times
    gstr = context.getStartStrings()
    day=gstr['day']
    month=gstr['month']
    year=gstr['year']
    now = "%s/%s/%s" % (str(year), str(month), str(day))
    vars['starttime'] = timenow
    vars['stoptime'] = timenow
    vars['startdate'] = now
    vars['stopdate'] = now

    # get identifier
    #REQUEST.set('identifier', '')

    # get body
    #REQUEST.set('body', '')

    # get description
    #REQUEST.set('description', '')

elif context.meta_type == 'Media Sub Event':
    vars['isSubEvent'] = 1

    # get start time
    vars['starttime'] = context.getStartTimeString()

    # get start time
    vars['stoptime'] = context.getStopTimeString()

    # get start date
    ss = context.getStartStrings()
    vars['startdate'] = "%s/%s/%s" % (ss['year'], ss['month'], ss['day'])

    # get end date
    ss = context.getEndStrings()
    vars['stopdate'] = "%s/%s/%s" % (ss['year'], ss['month'], ss['day'])

    # get title
    vars['title'] = context.title

    # get identifier
    vars['identifier'] = context.identifier

    # get body
    vars['body'] = context.body

    # get description
    vars['description'] = context.description

else:
    raise "Wrong meta type %s" % context.meta_type

return vars