## Script(Python) "masterfile_edit"
##parameters=REQUEST=None
##title=Edit the masterfile object

status_msg = ''
skin = 'masterfile_edit_form'

if REQUEST is not None and context.meta_type == 'Media Manager Master File':
    if REQUEST.has_key('update'):
        # update general properties
        filename = REQUEST['new_filename']
        if filename == '':
            filename = None
        context.editMasterFile(title = REQUEST['title']
                            , description = REQUEST['description']
                            , filename = filename
                            )
    elif REQUEST.has_key('add'):
        if REQUEST.has_key('upload_files'):
            doupload = 1
        else:
            doupload = 0

        if REQUEST['selLogic'] != '0':
            context.assignLogic(id=REQUEST['selLogic'], upload_waitfile=doupload, cinemaskin=REQUEST['cinemaskin'])
            status_msg = 'Server+context+assigned'
    elif REQUEST.has_key('deleteLogic'):
        context.deleteLogic(REQUEST['deleteLogic'])
        status_msg = 'Server+context+deleted'
    elif REQUEST.has_key('medianet'):
        context.setMedianet(REQUEST['medianet'])
        status_msg = 'Medianet+set'
    elif REQUEST.has_key('update_server'):
        encoder_start = REQUEST.get('encoder_start', None)
        mountpoint = REQUEST.get('mountpoint', None)
        cinemaskin = REQUEST.get('cinemaskin', None)
        context.editFile(logicid = REQUEST['serverpath']
                            , xsize = REQUEST['xsize']
                            , ysize = REQUEST['ysize']
                            , encstart = encoder_start
                            , file = REQUEST['file']
                            , mountpoint = mountpoint
                            , cinemaskin = cinemaskin
                            )
        #context.adjustEncoderTimes()
        skin = 'masterfile_edit_server_logic_form'
        status_msg = 'Updated&amp;logic=%s' % REQUEST['serverpath']
else:
    status_msg = 'Request+is+none'

#print res
#return printed

context.REQUEST.RESPONSE.redirect('%s/%s?portal_status_message=%s' % (context.absolute_url(),skin,status_msg))

