## Script (Python) "mediaclip_edit"
##parameters=REQUEST=None
##title=Tester

username = context.portal_membership.getAuthenticatedMember().getUserName()
mediatool = context.portal_mediamanager

#trans = {'':'ae', '':'oe', '':'aa', '':'AE', '':'OE', '':'AA', ' ':'_', '.':'', '"':'', "'":''}

status_msg = 'tester'

if REQUEST.has_key('save'):
    if context.meta_type == 'Media Manager Clip':
        context.setTimeCodes(REQUEST['tcin'], REQUEST['tcout'])
        context.editMetadata(title = REQUEST['title']
                           , description = REQUEST['description']
                           , effective_date = REQUEST['pubfrom']
                           , expiration_date = REQUEST['pubto'])
        fileobj = context.getMasterFileObject()
        ftitle = fileobj.title
        ctitle = REQUEST['title']
        """
        for l in trans.keys():
            ftitle = string.replace(ftitle, l, trans[l])
            ctitle = string.replace(ctitle, l, trans[l])
        """
        smilname = ftitle + '_' + REQUEST['identifier'] + ctitle + '.smi'
        rpmname = ftitle + '_' + REQUEST['identifier'] + ctitle + '.ram'
        context.editClip(identifier = REQUEST['identifier']
                       , smilname = smilname
                       , rpmname = rpmname
                       , body = REQUEST['body'])
        status_msg = 'Clip+saved'
    else:
        raise 'Not correct meta type', 'This update script is only allowed with media clips'
    context.REQUEST.RESPONSE.redirect(context.absolute_url() + '/clip_data?portal_status_message=' + status_msg)
elif REQUEST.has_key('create'):
    clipid = mediatool.getUniqueID()
    event = mediatool.getEventFor(context)
    event.invokeFactory(id=clipid, type_name='Clip')
    clip = event.restrictedTraverse(clipid)
    clip.setTimeCodes(REQUEST['tcin'], REQUEST['tcout'])
    clip.editMetadata(title = REQUEST['title']
                    , description = REQUEST['description']
                    , effective_date = REQUEST['pubfrom']
                    , expiration_date = REQUEST['pubto'])
    clip.setMasterFilePath(REQUEST['filename'])
    file = clip.getMasterFileObject()
    ftitle = file.title
    ctitle = REQUEST['title']
    """
    for l in trans.keys:
        ftitle = string.replace(ftitle, l, trans[l])
        ctitle = string.replace(ftitle, l, trans[l])
    """
    smilname = ftitle + '_' + REQUEST['identifier'] + ctitle + '.smi'
    rpmname = ftitle + '_' + REQUEST['identifier'] + ctitle + '.ram'
    clip.editClip(identifier = REQUEST['identifier']
                , smilname = smilname
                , rpmname = rpmname
                , body = REQUEST['body'])
    clippath = clip.absolute_url(relative=1)
    context.REQUEST.RESPONSE.redirect(clip.absolute_url() + '/clip_data?portal_status_message=' + status_msg)
else:
    raise 'No action', 'Nothing I can do here - no action provided'
