## Script (Python) "start_encs"
##parameters=REQUEST=None
##title=

status_msg = ''
memtool = context.portal_membership
member = memtool.getAuthenticatedMember()
mempass = context.getMemberPass(member)
username = member.getUserName()
enc_pass = context.portal_mediamanager.getEncoderPassword()

if context.meta_type == 'Media Manager Live Event':
    encoder = context.restrictedTraverse(REQUEST['encoder'])
    event = context
    file = event.listFileObjects()[0]
    if REQUEST.has_key('start'):
        filename = file.filename
        for logicpath in file.listLogics():
            logic = context.restrictedTraverse(logicpath)
            filelogic = file.getLogic(logicpath)
            if logic.meta_type == 'Media Manager Live Server Logic':
                filename = '%s%s' % (filename, logic.getFileExtension())
                filepath = file.absolute_url()
                par = {'title': event.title
                     , 'author':  event.author
                     , 'copyright': event.Rights()
                     , 'description': event.description
                     , 'real-server_hostname': logic.host
                     , 'real-server_port': str(logic.inputPort)
                     , 'real-server_filename': filename
                     , 'real-server_username': username
                     , 'real-server_password': enc_pass
                     , 'real-server_transport': event.transport
                     , 'real-video_quality': event.video_quality
                     , 'real-audio_format': event.audioformat
                     , 'real-keywords': 'streamfactory'
                     , 'real-surestream': 'true'
                     , 'server_filename': filename
                     , 'video-height': event.ysize
                     , 'video-width': event.xsize
                     , 'video-input': encoder.video_input
                     , 'video-standard': encoder.video_standard
                     , 'video-colorspace': encoder.video_colorspace
                     , 'audio-input': encoder.audio_input
                     , 'audio-level': REQUEST['audio-level']
                     , 'uploader-destination': filepath
                     , 'uploader-username': username
                     , 'uploader-password': mempass
                     , 'uploader-realm': 'Zope'
                     , 'uploader-delete': 'false'
                     , 'uploader-wait': '10000'
                     ,
                     }
                if str(event.bandwidth)[0] == '[':
                    for band in event.bandwidth:
                        name = 'real-target_' + band
                        value = 'true'
                        par[name] = value
                else:
                    par['real-target_' + event.bandwidth] = 'true'
                
                encoder.start_encoder(par)
                time = str(DateTime().strftime('%H:%M:%S'))
                file.setEncoderStart(time)
                status_msg = 'Encoder+started'
    elif REQUEST.has_key('stop'):
        encoder.stop_encoder()
        status_msg = 'Encoder+stopped'
    else:
        status_msg = 'No+logicpath+set'
    event.setLastEncoder(REQUEST['encoder'])

context.REQUEST.RESPONSE.redirect(context.absolute_url() + '/streamfactory_stream_form?portal_status_message=' + status_msg)

