## Script (Python) "genAssignedServers"
##bind container=container
##bind context=context
##bind namespace=
##bind script=script
##bind subpath=traverse_subpath
##parameters=
##title=Generate structure for creating a table of assigned servers
##
paths = context.listLogics()
format = [
  {'name':'Server','type':'link'}
 ,{'name':'Type','type':'text'}
 ,{'name':'Mountpoint','type':'text'}
 ,{'name':'Cinema skin','type':'text'}
 ,{'name':'Delete','type':'link'}
 ]

items = []
for serverpath in paths:
    server = context.getLogicObject(serverpath)
    logicobject = context.getLogic(serverpath)
    if server and logicobject:
        mp = logicobject.getMountPoint()
        skin = logicobject.getSkin()
        if mp is None:
            mp = 'No mountpoint set'
        if skin is None:
            skin = 'No skin selected'
        items.append(
            {'Server':{'href':"javascript:openWindow('%s/masterfile_edit_server_logic_form?logic=%s','mfedit',600,400)" % (context.absolute_url(),serverpath),'title':server.title_or_id()}
            ,'Type':{'text':server.getServerType()}
            ,'Mountpoint':{'text':mp}
            ,'Cinema skin':{'text':skin}
            ,'Delete':{'href':'%s/masterfile_edit?deleteLogic=%s' % (context.absolute_url(), serverpath),'title':'Delete'}
            }
        )

return {'format':format,'entries':items}
