## Script (Python) "genSearchResult"
##bind container=container
##bind context=context
##bind namespace=
##bind script=script
##bind subpath=traverse_subpath
##parameters=search_results=None
##title=
##
format = [
  {'name':'Select','type':'id'}
 ,{'name':'Icon','type':'image'}
 ,{'name':'Id','type':'link'}
 ,{'name':'Title','type':'text'}
 ,{'name':'Author','type':'text'}
 ]

if search_results is not None:
    brains = search_results
else:
    brains = context.portal_catalog.searchResults(
                               meta_type='Portal Article'
                             , sort_order='reverse'
                             , sort_on='Date')
items = []
for brain in brains:
    obj = brain.getObject()
    items.append(
        {'Select':obj
        ,'Icon':{'src':obj.icon}
        ,'Id':{'href':obj.absolute_url(),'title':obj.getId()}
        ,'Title':{'text':obj.title_and_id()}
        ,'Author':{'text':obj.Creator()}
        }
    )

return {'format':format,'entries':items}
